Subject: Re: [PATCH v4 2/7] net: dsa: Add DSA driver for Hirschmann Hellcreek switches

From: Richard Cochran <[email-masked]>
Date: Tue, 1 Sep 2020 09:36:10 -0700

On Tue, Sep 01, 2020 at 05:59:45PM +0200, Andrew Lunn wrote:
> Maybe, at the moment, RTNL is keeping things atomic. But that is
> because there is no HWMON, or MDIO bus. Those sort of operations don't
> take the RTNL, and so would be an issue. I've also never audited the
> network stack to check RTNL really is held at all the network stack
> entry points to a DSA driver. It would be an interesting excesses to
> scatter some ASSERT_RTNL() in a DSA driver and see what happens.

Device drivers really aught to protect their state and their devices'
state from concurrent access.

Thanks,
Richard